Page MenuHomePhabricator

Support editing table cells whose formatting is defined by a template
Closed, ResolvedPublic8 Story Points

Description

There are a lot of tables that use templates like https://en.wikipedia.org/wiki/Template:Yes (and many others, some of which are linked on that template's doc page).

This is not exactly the same problem as T85462, in which the table structure itself is created by the template. In the case of {{yes}}, which is used like this: {{yes|cell text goes here}}, and has the effect of turning the cell's background green while showing the text, it would be adequate to have this recognized as a plain template, and edit it like any other template.

Event Timeline

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Ryasmeen triaged this task as Normal priority.Jan 9 2015, 11:36 PM
Ryasmeen set Security to None.
Ryasmeen moved this task from To Triage to Freezer on the VisualEditor board.

Change 228807 had a related patch set uploaded (by Esanders):
Split out basic functionality of tableCell so other nodes can behave as cells

https://gerrit.wikimedia.org/r/228807

Change 228815 had a related patch set uploaded (by Esanders):
Make transclusions which are td/th elements behave as table cells

https://gerrit.wikimedia.org/r/228815

Change 228807 merged by jenkins-bot:
Split out basic functionality of tableCell so other nodes can behave as cells

https://gerrit.wikimedia.org/r/228807

Change 228815 merged by jenkins-bot:
Make transclusions which are td/th elements behave as table cells

https://gerrit.wikimedia.org/r/228815

Jdforrester-WMF closed this task as Resolved.Aug 5 2015, 11:43 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

It now 'works' but adding a new one in dumps the styling first (which goes away on save). Meh.

Magol added a subscriber: Magol.Dec 28 2017, 11:32 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 28 2017, 11:32 AM